{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 04-02-2005
  Versión actual: 1.0.0
  Fecha versión actual: 04-02-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit TrimestrePredeterminado;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxDropDownEdit, StdCtrls, RdxBotones, RdxBarras, ExtCtrls,
  RdxPaneles, TablaTrimestres, Entidades;

type
  TfTrimestrePredeterminado = class(TForm)
    BarraSuperior: TRdxBarraSuperior;
    Label2: TLabel;
    RdxPanel1: TRdxPanel;
    brDoble: TRdxBarraInferior;
    bAceptar: TRdxBoton;
    bCancelar: TRdxBoton;
    eTrimestre: TLabel;
    cbxTrimestres: TcxComboBox;
    imgSombra: TImage;
    procedure bAceptarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FListaTrimestres : TListaTrimestres;
    FCodigoTrimestre: String;
    FEntidad: TRdxEntidad;
    procedure setEntidad(const Value: TRdxEntidad);
  public
    property CodigoTrimestre : String read FCodigoTrimestre;
    property Entidad : TRdxEntidad read FEntidad write setEntidad;    
  end;

var
  fTrimestrePredeterminado: TfTrimestrePredeterminado;

implementation

uses
  Mensajes, Literales, BaseDatos, Configuracion, RdxEmpresaActiva;

{$R *.dfm}

procedure TfTrimestrePredeterminado.bAceptarClick(Sender: TObject);
begin
  FCodigoTrimestre := FListaTrimestres.getCodItem(cbxTrimestres.ItemIndex);
  try
    dmTablaTrimestres.PredeterminarTrimestre(FCodigoTrimestre);
  except
    raise Exception.CreateFmt(msgTriPredeterminadoErr, [cbxTrimestres.Text]);
  end;
  dmBaseDatos.Commit;
  //Refrecamos el trimestre de la empresa activa
  EmpresaActiva.Refrescar;
  VerMensajeFmt(msgTriPredeterminadoOk, [cbxTrimestres.Text]);
end;

procedure TfTrimestrePredeterminado.FormCreate(Sender: TObject);
begin
  FListaTrimestres := TListaTrimestres.Create(tlcTriAbiertos);
  cbxTrimestres.ItemIndex := FListaTrimestres.cargarLista(cbxTrimestres.Properties.Items);
end;

procedure TfTrimestrePredeterminado.FormDestroy(Sender: TObject);
begin
  FListaTrimestres.Free;
  FListaTrimestres:= Nil;
end;

procedure TfTrimestrePredeterminado.setEntidad(const Value: TRdxEntidad);
begin
  if FEntidad <> Value then
  begin
    FEntidad := Value;
    case FEntidad of
      entInformes : ConfigurarFrame(Self, entInformes);
      entEntLibro : ConfigurarFrame(Self, entEntLibro);
    end;
  end;
end;

end.
